<!DOCTYPE HTML PUBLIC "-//FreeBSD//DTD HTML 4.01 Transitional-Based Extension//EN" [
<!ENTITY base CDATA "../..">
<!ENTITY date "$FreeBSD$">
<!ENTITY title "FreeBSD 7.3-RELEASE Announcement">
<!ENTITY % navinclude.download "INCLUDE">
]>
<html>
  &header;

  <p>The FreeBSD Release Engineering Team is pleased to announce the
    availability of FreeBSD 7.3-RELEASE.  This is the fourth release
    from the 7-STABLE branch which improves on the functionality of
    FreeBSD 7.2 and introduces a few new features.  There will be one
    more release from this branch to allow future improvements to be
    made available in the 7-STABLE branch but at this point most
    developers are focused on 8-STABLE.</p>

  <p>Some of the highlights:</p>

  <ul>
    <li><p>ZFS updated to version 13</p></li>
    <li><p>new boot loader gptzfsboot supports GPT and ZFS</p></li>
    <li><p>hwpmc(4) enhancements including support for Core2/i7 processor
	and pmcannotate(8)</p></li>
    <li><p>new mfiutil and mptutil tools for widely used RAID controllers</p></li>
    <li><p>NULL pointer vulnerability mitigation</p></li>
    <li><p>bind updated to 9.4-ESV</p></li>
    <li><p>Gnome updated to 2.28.2</p></li>
    <li><p>KDE updated to 4.3.5</p></li>
    <li><p>Perl updated to 5.10</p></li>
  </ul>

  <p>For a complete list of new features and known problems, please
    see the online release notes and errata list available at:</p>

  <ul>
    <li><p><tt><a href="http://www.FreeBSD.org/releases/7.3R/relnotes.html">http://www.FreeBSD.org/releases/7.3R/relnotes.html</a></tt></p></li>

    <li><p><tt><a href="http://www.FreeBSD.org/releases/7.3R/errata.html">http://www.FreeBSD.org/releases/7.3R/errata.html</a></tt></p></li>
  </ul>

  <p>For more information about FreeBSD release engineering
    activities please see:</p>

  <ul>
    <li><p><tt><a href="http://www.FreeBSD.org/releng/">http://www.FreeBSD.org/releng/</a></tt></p></li>
  </ul>

  <h2>Availability</h2>

  <p>FreeBSD 7.3-RELEASE is now available for the amd64, i386, pc98,
    and sparc64 architectures.</p>

  <p>FreeBSD 7.3 can be installed from bootable ISO images or over the
    network.  The required files can be downloaded via FTP or BitTorrent
    as described in the sections below.  While some of the smaller FTP
    mirrors may not carry all architectures, they will all generally
    contain the more common ones such as amd64 and i386.</p>

  <p>MD5 and SHA256 hashes for the release ISO images are included at
    the bottom of this message.</p>

  <p>The purpose of the images provided as part of the release are as
    follows:</p>

  <dl>
    <dt>dvd1</dt>

    <dd><p>This contains everything necessary to install the base
	FreeBSD operating system, a collection of pre-built packages,
	and the documentation.  It also supports booting into a
	"livefs" based rescue mode.  This should be all you need if
	you can burn and use DVD-sized media.</p></dd>

    <dt>disc1</dt>

    <dd><p>This contains the base FreeBSD operating system and the
	xorg packages for CDROM-sized media.  There are no other
	packages on this image but there are more packages (mostly
	Gnome and KDE) on the disc2 and disc3 images.  If you choose
	to install packages post-install you should just need disc1,
	you only need disc2/disc3 if you want to install Gnome or KDE
	during install.</p></dd>

    <dt>livefs</dt>

    <dd><p>This contains support for booting into a "livefs" based
	rescue mode but does not support doing an install from the CD
	itself.  It is meant to help rescue an existing system but
	could be used to do a network based install if
	necessary.</p></dd>

    <dt>bootonly</dt>

    <dd><p> This supports booting a machine using the CDROM drive but
	does not contain the support for installing FreeBSD from the
	CD itself.  You would need to perform a network based install
	(e.g. from an FTP server) after booting from the CD.</p></dd>
  </dl>

  <p>FreeBSD 7.3-RELEASE can also be purchased on CD-ROM or DVD from
    several vendors.  One of the vendors that will be offering FreeBSD
    7.3-based products is:</p>

  <ul>
    <li><p>FreeBSD Mall, Inc. <tt><a
	  href="http://www.freebsdmall.com/">http://www.freebsdmall.com/</a></tt></p></li>
  </ul>

  <h2>BitTorrent</h2>

  <p>7.3-RELEASE ISOs are available via BitTorrent.  A collection of
    torrent files to download the images is available at:</p>

  <ul>
    <li><p><tt><a
	  href="http://torrents.FreeBSD.org:8080/">http://torrents.FreeBSD.org:8080/</a></tt></p></li>
  </ul>

  <h2>FTP</h2>

  <p>At the time of this announcement the following FTP sites have
    FreeBSD 7.3-RELEASE available.</p>

  <ul>
    <li><tt><a href="ftp://ftp.freebsd.org/pub/FreeBSD/">ftp://ftp.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp1.freebsd.org/pub/FreeBSD/">ftp://ftp1.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp3.freebsd.org/pub/FreeBSD/">ftp://ftp3.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp7.freebsd.org/pub/FreeBSD/">ftp://ftp7.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp13.freebsd.org/pub/FreeBSD/">ftp://ftp13.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp14.freebsd.org/pub/FreeBSD/">ftp://ftp14.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.dk.freebsd.org/pub/FreeBSD/">ftp://ftp.dk.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.fr.freebsd.org/pub/FreeBSD/">ftp://ftp.fr.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.jp.freebsd.org/pub/FreeBSD/">ftp://ftp.jp.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.ru.freebsd.org/pub/FreeBSD/">ftp://ftp.ru.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp1.ru.freebsd.org/pub/FreeBSD/">ftp://ftp1.ru.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp.tw.freebsd.org/pub/FreeBSD/">ftp://ftp.tw.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp4.tw.freebsd.org/pub/FreeBSD/">ftp://ftp4.tw.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp3.us.freebsd.org/pub/FreeBSD/">ftp://ftp3.us.freebsd.org/pub/FreeBSD/</a></tt></li>
    <li><tt><a href="ftp://ftp10.us.freebsd.org/pub/FreeBSD/">ftp://ftp10.us.freebsd.org/pub/FreeBSD/</a></tt></li>
  </ul>

  <p>However before trying these sites please check your regional
    mirror(s) first by going to:</p>

  <ul>
    <li><p><tt>ftp://ftp.&lt;yourdomain&gt;.FreeBSD.org/pub/FreeBSD</tt></p></li>
  </ul>

  <p>Any additional mirror sites will be labeled
    <strong>ftp2</strong>, <strong>ftp3</strong> and so on.</p>

  <p>More information about FreeBSD mirror sites can be found at:</p>

  <ul>
    <li><p><tt><a
	  href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors-ftp.html</a></tt></p></li>
  </ul>

  <p>For instructions on installing FreeBSD, please see Chapter 2 of
    The FreeBSD Handbook.  It provides a complete installation
    walk-through for users new to FreeBSD, and can be found online
    at:</p>

  <ul>
    <li><p><tt><a
	  href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/install.html</a></tt></p></li>
  </ul>

  <h2>Updates from Source</h2>

  <p>The procedure for doing a source code based update is described in the
    FreeBSD Handbook:</p>

  <ul>
    <li><p><tt><a
	  href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/synching.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/synching.html</a></tt></p></li>

    <li><p><tt><a
	  href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html">http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html</a></tt></p></li>
  </ul>

  <p>The branch tag to use for updating the source is <tt>RELENG_7_3</tt>.</p>

  <h2>FreeBSD Update</h2>

  <p>The freebsd-update(8) utility supports binary upgrades of i386
    and amd64 systems running earlier FreeBSD releases. Systems running
    7.[012]-RELEASE, 7.3-BETA1, or 7.3-RC[12] can upgrade as follows:</p>

  <pre># freebsd-update upgrade -r 7.3-RELEASE</pre>

  <p>During this process, FreeBSD Update may ask the user to help by
    merging some configuration files or by confirming that the
    automatically performed merging was done correctly.</p>

  <pre># freebsd-update install</pre>

  <p>The system must be rebooted with the newly installed kernel
    before continuing.</p>

  <pre># shutdown -r now</pre>

  <p>After rebooting, freebsd-update needs to be run again to install
    the new userland components, and the system needs to be rebooted
    again:</p>

  <pre># freebsd-update install
# shutdown -r now</pre>

  <p>Users of earlier FreeBSD releases (FreeBSD 6.x) can also use
    freebsd-update to upgrade to FreeBSD 7.3, but will be prompted to
    rebuild all third-party applications (e.g., anything installed
    from the ports tree) after the second invocation of
    "freebsd-update install", in order to handle differences in the
    system libraries between FreeBSD 6.x and FreeBSD 7.x.</p>

  <h2>Support</h2>

  <p>The FreeBSD Security Team currently plans to support FreeBSD 7.3
    until March 31st 2012.  Users of FreeBSD 7.2 are strongly
    encouraged to upgrade to either FreeBSD 7.3 or FreeBSD 8.0 before
    the FreeBSD 7.2 End of Life on June 30th 2010.  For more
    information on the Security Team and their support of the various
    FreeBSD branches see:</p>

  <ul>
    <li><p><tt><a
	  href="http://www.FreeBSD.org/security/">http://www.FreeBSD.org/security/</a></tt></p></li>
  </ul>

  <h2>Acknowledgments</h2>

  <p>Many companies donated equipment, network access, or man-hours to
    support the release engineering activities for FreeBSD 7.3 including
    The FreeBSD Foundation, Hewlett-Packard, Yahoo!, NetApp, Internet
    Systems Consortium, iXsystems, and Sentex Communications.</p>

  <p>The release engineering team for 7.3-RELEASE includes:</p>

  <table border="0">
    <tbody>
      <tr>
	<td>Ken&nbsp;Smith&nbsp;&lt;<a href="mailto:kensmith@FreeBSD.org">kensmith@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering,
	  amd64, i386, sparc64 Release Building,
	  Mirror Site Coordination</td>
      </tr>

      <tr>
	<td>Robert&nbsp;Watson&nbsp;&lt;<a href="mailto:rwatson@FreeBSD.org">rwatson@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Security</td>
      </tr>

      <tr>
	<td>Konstantin&nbsp;Belousov&nbsp;&lt;<a href="mailto:kib@FreeBSD.org">kib@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering</td>
      </tr>

      <tr>
	<td>Marc&nbsp;Fonvieille&nbsp;&lt;<a href="mailto:blackend@FreeBSD.org">blackend@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td>Hiroki&nbsp;Sato&nbsp;&lt;<a href="mailto:hrs@FreeBSD.org">hrs@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering, Documentation</td>
      </tr>

      <tr>
	<td>Bjoern&nbsp;Zeeb&nbsp;&lt;<a href="mailto:bz@FreeBSD.org">bz@FreeBSD.org</a>&gt;</td>
	<td>Release Engineering</td>
      </tr>

      <tr>
	<td>Takahashi&nbsp;Yoshihiro&nbsp;&lt;<a href="mailto:nyan@FreeBSD.org">nyan@FreeBSD.org</a>&gt;</td>
	<td>PC98 Release Building</td>
      </tr>

      <tr>
	<td>Joe&nbsp;Marcus&nbsp;Clarke&nbsp;&lt;<a href="mailto:marcus@FreeBSD.org">marcus@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Erwin&nbsp;Lansing&nbsp;&lt;<a href="mailto:erwin@FreeBSD.org">erwin@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Mark&nbsp;Linimon&nbsp;&lt;<a href="mailto:linimon@FreeBSD.org">linimon@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Pav&nbsp;Lucistnik&nbsp;&lt;<a href="mailto:pav@FreeBSD.org">pav@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Ion-Mihai&nbsp;Tetcu&nbsp;&lt;<a href="mailto:itetcu@FreeBSD.org">itetcu@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Martin&nbsp;Wilke&nbsp;&lt;<a href="mailto:miwi@FreeBSD.org">miwi@FreeBSD.org</a>&gt;</td>
	<td>Package Building</td>
      </tr>

      <tr>
	<td>Colin&nbsp;Percival&nbsp;&lt;<a href="mailto:cperciva@FreeBSD.org">cperciva@FreeBSD.org</a>&gt;</td>
	<td>Security Officer</td>
      </tr>
    </tbody>
  </table>

  <h2>Trademark</h2>

  <p>FreeBSD is a registered trademark of The FreeBSD Foundation.</p>

  <h2>ISO Image Checksums</h2>

  <pre>MD5 (FreeBSD-7.3-RELEASE-amd64-bootonly.iso) = 759246c235869ee6d89e84910d1bab63
MD5 (FreeBSD-7.3-RELEASE-amd64-disc1.iso) = 7c5049d15a95d9e0dd5eca013d1086b8
MD5 (FreeBSD-7.3-RELEASE-amd64-disc2.iso) = 4c829f2d3b2c88d857fe600362aa4ea2
MD5 (FreeBSD-7.3-RELEASE-amd64-disc3.iso) = 29b50df4507a0bdf0aea21324889205c
MD5 (FreeBSD-7.3-RELEASE-amd64-docs.iso) = 3433f7ab2e204369b0965a2d857e5f97
MD5 (FreeBSD-7.3-RELEASE-amd64-dvd1.iso) = 7b9c2e7766c5e7684d6b305cb05be7f8
MD5 (FreeBSD-7.3-RELEASE-amd64-livefs.iso) = 73552eb142365c497ecc51bf5bcef131</pre>

  <pre>MD5 (FreeBSD-7.3-RELEASE-i386-bootonly.iso) = 557e05b367cc84d672878e19a7a28a04
MD5 (FreeBSD-7.3-RELEASE-i386-disc1.iso) = 310d3e4d6fd03608f6fbbbecc4f13d6d
MD5 (FreeBSD-7.3-RELEASE-i386-disc2.iso) = ade3d0b064a934da1cbd0bcc4bde8159
MD5 (FreeBSD-7.3-RELEASE-i386-disc3.iso) = b57b9bfe9c1856a54fa719d175987c57
MD5 (FreeBSD-7.3-RELEASE-i386-docs.iso) = c496b49fb7c6e9acf084eb4148b6b942
MD5 (FreeBSD-7.3-RELEASE-i386-dvd1.iso) = 8b940feb3174dab1703297d4b59ddaa4
MD5 (FreeBSD-7.3-RELEASE-i386-livefs.iso) = 553d28df18560a2916bc9733e625e8fb</pre>

  <pre>MD5 (FreeBSD-7.3-RELEASE-pc98-bootonly.iso) = 639defb907eb57c4902592092fa77869
MD5 (FreeBSD-7.3-RELEASE-pc98-disc1.iso) = cde68c0b13b819528c157e493d74568b
MD5 (FreeBSD-7.3-RELEASE-pc98-livefs.iso) = 504a42bae0b1948fbf45cb1e1ffda4d3</pre>

  <pre>MD5 (FreeBSD-7.3-RELEASE-sparc64-bootonly.iso) = 719acf982a7994edc9922c28abb4ef49
MD5 (FreeBSD-7.3-RELEASE-sparc64-disc1.iso) = 6af2258863aa30c1a8f0bb53f785a02c
MD5 (FreeBSD-7.3-RELEASE-sparc64-disc2.iso) = f3040f02b198b695a36e31f72b23b0ee
MD5 (FreeBSD-7.3-RELEASE-sparc64-disc3.iso) = 3191f0c8521a101ca510f80e4c0ba16a
MD5 (FreeBSD-7.3-RELEASE-sparc64-docs.iso) = 9306d29be84e9677906ce971b370d3cc</pre>

  <pre>SHA256 (FreeBSD-7.3-RELEASE-amd64-bootonly.iso) = 5a59fe1eb3012c42f77432141a62cc2e44e962c0e10b7b140cae5e2a4007e2a6
SHA256 (FreeBSD-7.3-RELEASE-amd64-disc1.iso) = 7f5970e095774c0cdf802e9a15b4419d0166fa7641c2b65f1a1431429105b98b
SHA256 (FreeBSD-7.3-RELEASE-amd64-disc2.iso) = 4b281e76e39fc573bfd07391c2ab3d788f2de3c7b48243b16d9159fc027a3a99
SHA256 (FreeBSD-7.3-RELEASE-amd64-disc3.iso) = ed78f617800056c14cad15856f720f493742cbd5fbe454955579cb29cb778ef7
SHA256 (FreeBSD-7.3-RELEASE-amd64-docs.iso) = b2224360926499df2bb535d202bddb790371434bec3abdc135afc35836bbe5b8
SHA256 (FreeBSD-7.3-RELEASE-amd64-dvd1.iso) = 83ae9ca4e62713a5b0b76a208e898d404508f795e617c8292ed16ec0633aa3b8
SHA256 (FreeBSD-7.3-RELEASE-amd64-livefs.iso) = cda760fffbde26e3908edd21286e349d31f49f53c2572a7fde739c908456534b</pre>

  <pre>SHA256 (FreeBSD-7.3-RELEASE-i386-bootonly.iso) = 29066f9f3557a0b599b88e19e8cdd3248dd580dc627d9fc8aeee7c11317d5433
SHA256 (FreeBSD-7.3-RELEASE-i386-disc1.iso) = e1623209b45df700e624ed37d8526b298fddc48af14e40fbe8a62c0b3801819b
SHA256 (FreeBSD-7.3-RELEASE-i386-disc2.iso) = 0413cd6c64d2278044bca5a7c37b848f8ba16cc8429d358c12ba58ac02acbf54
SHA256 (FreeBSD-7.3-RELEASE-i386-disc3.iso) = f621be0a0ba5225f528584a6b85d1936b2a291dcd849b2c7da6fd09d703f11c9
SHA256 (FreeBSD-7.3-RELEASE-i386-docs.iso) = 107c642abb44d9ffde43f9da80564010c225fa7da37424a499a771a4a5d0f602
SHA256 (FreeBSD-7.3-RELEASE-i386-dvd1.iso) = f2cb0b5cd01124a212819e7de87e2fc463ded07ab6c150f8b9c38fc7810f8194
SHA256 (FreeBSD-7.3-RELEASE-i386-livefs.iso) = 22cf0423766057740fcdeff8fca72b602a3d9b0e4b037b704320f65cdea11bd0</pre>

  <pre>SHA256 (FreeBSD-7.3-RELEASE-pc98-bootonly.iso) = 3bfd7b24ef6e7563df5878e1eca9223aab0e02eec89690730efb3a9bc7cee895
SHA256 (FreeBSD-7.3-RELEASE-pc98-disc1.iso) = 5fde4d15c9144ac64ea354546c24079f5abc0976ed7a868edab4990657ece776
SHA256 (FreeBSD-7.3-RELEASE-pc98-livefs.iso) = e564864d9568430574dddb97ae3c5741b2b981926b626dfc003620fb95ce9d1a</pre>

  <pre>SHA256 (FreeBSD-7.3-RELEASE-sparc64-bootonly.iso) = f99a648aa04df5b9d9d8f66055f8a2789759a7305c03dc7b890abfec1869a341
SHA256 (FreeBSD-7.3-RELEASE-sparc64-disc1.iso) = 5d659bd0c8e22244bc987a92efd34d3bb725e489a491635abd42888b89e802e8
SHA256 (FreeBSD-7.3-RELEASE-sparc64-disc2.iso) = 0583bc6eda0e6e86bcd901773de759e55c34cadb17e5fcd00e428afe36fcce1e
SHA256 (FreeBSD-7.3-RELEASE-sparc64-disc3.iso) = 987aad567c165094781af8d808c0ba5fc4f1ef12efcf6cae66d3cf5d6425ffc6
SHA256 (FreeBSD-7.3-RELEASE-sparc64-docs.iso) = 8d5440c371637d5b5510a69ce0dec2461c045df7c9ae6e3fd74bc1f0998ceb35</pre>

  &footer;

  </body>
</html>
